#!/bin/bash
# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# BG1 TOTSC Baldurdash text pack

scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
source "$scriptdir/includes/patch-includes.sh"

parseargs "$@"

if [ "$LANGUAGE" != "English" ]; then
	echo "The Baldurdash text pack is only available in English"
	die
fi

checkforbin unzip wget

setuptmp

getpatch http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe

# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1TOSCGameTextUpdate11.exe -d $TMPDIR 2>/dev/null
cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die

cleanuptmp
setperms "$TARGETDIR"
